hardware-customer-item¶
Source¶
Repository:
jef-systems/jef-hardware-backendSource Run ID:
24854223497Source SHA:
c33cd70faaabb5012e45c8006fc54830c2713078Module:
hardwareDocumentation Scope:
getLambda:
jef-hardware-get-6
Endpoint¶
API Name:
jef-hardwareAction Name:
getMethod:
GETScope Label:
GETResource Path:
/hardware-customer-itemComplete Endpoint:
https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customer-itemLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-6curl payload mode:
query_string
API Gateway Description¶
Function: jef-hardware-get-6
API Name: jef-hardware
Action: get
Method: GET
Resource Path: /hardware-customer-item
Payload:
- pk: string-optional
- customer_id: string-optional
- customer_code: string-optional
Response:
- exists: boolean
- message: string
- item: {"pk":"string-{customer_id}","gsi_1_pk":"string-{customer_code}","gsi_1_sk":"string-{updated_at}","customer_id":"string-uuidv4","customer_code":"string","customer_name":"string","contact_number":"string","email":"string","address":"string","government_id_type":"string","government_id_number":"string","active":"boolean","updated_at":"string-iso8601"}
- source: string
Request Payload¶
{
"pk": "string-optional",
"customer_id": "string-optional",
"customer_code": "string-optional"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"pk\":\"string-{customer_id}\",\"gsi_1_pk\":\"string-{customer_code}\",\"gsi_1_sk\":\"string-{updated_at}\",\"customer_id\":\"string-uuidv4\",\"customer_code\":\"string\",\"customer_name\":\"string\",\"contact_number\":\"string\",\"email\":\"string\",\"address\":\"string\",\"government_id_type\":\"string\",\"government_id_number\":\"string\",\"active\":\"boolean\",\"updated_at\":\"string-iso8601\"}",
"source": "string"
}
CMD curl¶
curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customer-item?pk=string-optional&customer_id=string-optional&customer_code=string-optional"
PowerShell curl¶
curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customer-item?pk=string-optional&customer_id=string-optional&customer_code=string-optional"